wn_social_share Module
=====================

CONTENTS OF THIS FILE
---------------------

* Introduction
* Installation
* Configuration
* MAINTAINERS

INTRODUCTION
------------

Purpose: To facilitate users to easily share their favourite content to various social platforms: QQ, Qzone, WeChat, Weibo, etc., thus extending the reach and visibility of the content. These platforms appear as small icons, and users can quickly share links or content by clicking on the buttons. Modules are available in three ways: Will Nice Social Share Block, views global areas (Global: Will Nice Social Share),  and template extensions ({{ render_wn_social_share() }}).

INSTALLATION
------------

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/documentation/install/modules-themes/modules-8
for further information.

CONFIGURATION
-------------

* Configure the wn_social_share module
  Configure the Will Nice Events module in "/admin/config/wn-social-share/settings".
  (Entry 1: Module installation page, accessed by the Configuration link under wn_social_share module; Entry 2: Manage-Configuration-System-Will Nice Social Share).
* Blocks
  After configuration, you can find "Will Nice Social Share Block" in the block layout.
  In the block settings, in the "Sharing Content" column, there are two options: "Page" and "Website". If you choose "Page", the url of the page where the block is located will be shared; if you choose "Website", the url of the website will be shared.
* Views
  Provides a view of the global area -- Global: Will Nice Social Share.
* Template
  How to use:
  Use {{ render_wn_social_share() }} to render social share template.
  This method takes a string parameter to specify the type of address to be shared, when passed "page" it will share the current page url (default), when passed "site" it will share the website url.
  Example.
  {{ render_wn_social_share('page') }} Share the current page URL.
  {{ render_wn_social_share('site') }} Share the current page URL.

MAINTAINERS
-----------
This project has been developed by:
* Will Nice (Shenzhen) Technology Co., Ltd - https://www.will-nice.com/


wn_social_share 模块
=====================

文件内容
---------------------

* 介绍
* 安装
* 配置
* 维护机构

介绍
------------

用途： 方便用户将自己喜欢的内容轻松分享到各种社交平台： QQ、QQ空间、微信、微博等，从而扩展内容的影响力和可见度。这些平台以小图标的形式出现，用户点击按钮即可快速分享链接或内容。模块提供三种使用方式： Will Nice 社交分享区块、视图全局区域（全局：Will Nice社交分享）和模板扩展（{{ render_wn_social_share() }}）。

安装
------------

按照您通常安装已贡献的Drupal模块的方式进行安装。
请参阅：https://www.drupal.org/documentation/install/modules-themes/modules-8
以获取更多信息。

配置
-------------
* 配置wn_social_share模块
  在“/admin/config/wn-social-share/settings”中配置Will Nice Events模块
* (入口1：模块安装页面，wn_social_share模块下的Configuration链接进入；入口2：管理-配置-系统-Will Nice社交分享)。
* 区块
  配置完成后，可在区块布局中引入"Will Nice Social Share Block"社交分享区块。
  区块设置中，"分享内容"一栏有"页面"和"网站"两种选项。如果选择"页面"，分享出去的是区块所在页面的地址；如果选择"网站"，分享出去的则是网站地址。
* 视图
  提供视图全局区域 Global: Will Nice Social Share。
* 模板
  模板引入方法：
  使用 {{ render_wn_social_share() }} 即可引入社交分享按钮。
  该方法可接收一个字符串参数用于指定分享的地址类型，当传入"page"将分享当前页面地址(默认)，传入"site"则分享网站地址。
  例:
  {{ render_wn_social_share('page') }} 分享当前页面URL;
  {{ render_wn_social_share('site') }} 分享当前页面URL。

维护机构
-----------
本项目开发方：
* 未来很美（深圳）科技有限公司 - https://www.will-nice.com/
