(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.wn_social_share = {
    attach: function () {
      once('wn_social_share', '.wn-social-share').forEach(function (element) {
        let url_type = $(element).data('url-type');
        if (url_type === 'site') {
          $(element).share({
            url: drupalSettings.base_url,
            sites: ['qzone', 'qq', 'weibo', 'wechat'],
          });
        } else {
          $(element).share({
            url: window.location.href,
            sites: ['qzone', 'qq', 'weibo', 'wechat'],
          });
        }
      });
    },
  };
})(jQuery, Drupal, drupalSettings);
